By using this site you agree to the use of cookies for analytics, personalised content and ads. Read more

Cannot call Skype fropm Firefox - no protocol insatlled

This topic has been archived. To keep discussions in the Skype Community relevant we archive topics that haven't seen activity in the past 6 months. Read more about about archiving
Casual Adventurer

I posted a new reply to an old post: http://blogs.skype.com/linux/2006/08/making_skype_links_work.html - but that seems to be below the radar screen, so am posting again:

 

I've been around this loop many times now and on my Ubuntu 11.10 and Firefox 8 setup, it just does not work.

 

I have the action handlers installed (several different versions, now) and they all work as a command line call. I've registered them according to the instructions, as I described below.

 

network.protocol-handler.app.skype = /usr/local/bin/skype_action_handler_1.0.py (this is what I names Phil Kollman's file - I've also tried the perl version and Carroll's version)

 

I've tried installing and reinstalling both Firefox and skype; I've tried the Canonical release of skype and the latest one direct from skype.

 

I just keep getting an error message that "no application is installed that registered itself to use the called protocol"

 

Customer support just point me back to these same forums, so I've reached a complete dead end.

 

Has anyone gotten this to work on ocelot / 11.10? What's the trick?

 

Message 1 of 11 (2,494 Views)
10 Replies
Casual Tourist
Bump. Same problem. I get the error:

No API-capable Skype found running.

That would seem to mean that there should be something on 9322, which there is. So what is the deficiency?
Message 2 of 11 (2,405 Views)
Highlighted
Casual Adventurer

doesn't ssem like anyone's interested in helping solve this.  Anyone from Skype / MS out there care to chime in?

 

I've been tryng to get some attention on this topic (my real issue is that I can't dial direct from my contacts in Thunderbird, having instead to cut and paste everytime).  I'm just about ready to drop my 7 or years with skype, with full in/out international subscription plan and find another provider.

 

BUMP!  HELP! BUMP!

Message 3 of 11 (2,360 Views)
Casual Adventurer

I think I solved it, and it's down to a change in the way that Gnome catalogs Applications. However, it's probably not elegant and if any of you maistros can help improve it, we'd all be grateful:

1) list a new .Desktop file in /usr/share/applications/defaults.list by adding the following line:
x-scheme-handler/skype=firefox-skype.desktop

2) create a firefox-skype.dedsktop file in /usr/share/applications with the following lines:
[Desktop Entry]
Encoding=UTF-8
Name=Skype Action Handler
Comment=Call from Skype
GenericName=Skype Client
Exec=/usr/local/bin/skype_action_handler_1.0.pl %u  
Terminal=false
X-MultipleArgs=false
Type=Application
Icon=skype
Categories=Application;Network;
MimeType=x-scheme-handler/skype;

#replace /usr/local/bin/skype_action_handler_1.0.pl with your own file and path name


and it seems to work

Novel Adventurer

Hey guys.

where can I download the skype_action_handler_1.0 ?

Because i'm getting an error when run the command make

Perhaps you should add the directory containing `dbus-1.pc'
to the PKG_CONFIG_PATH environment variable
No package 'dbus-1' found
'pkg-config' didn't report any compiler/linker flags for dbus library
BEGIN failed--compilation aborted at /usr/bin/cpanp-run-perl line 11.
 -- cannot continue

[ERROR] Unable to create a new distribution object for 'Net:Bus' -- cannot continue

Key 'ok' () is of invalid type for 'CPANPLUS::Backend::RV::new' provided by CPANPLUS::Backend::__ANON__ at /usr/share/perl/5.12/CPANPLUS/Backend.pm line 398
*** Net:Bus installation cancelled.
*** Module::AutoInstall installation finished.
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'inc', 'blib/lib', 'blib/arch')" t/00-load.t t/boilerplate.t t/pod-coverage.t t/pod.t
t/00-load.t ....... 1/1
#   Failed test 'use Net:Bus::Skype;'
#   at t/00-load.t line 6.
#     Tried to use 'Net:Bus::Skype'.
#     Error:  Can't locate Net/DBus.pm in @INC (@INC contains: /home/administrator/Net-DBus-Skype-0.02/inc /home/administrator/Net-DBus-Skype-0.02/blib/lib /home/administrator/Net-DBus-Skype-0.02/blib/arch /etc/perl /usr/local/lib/perl/5.12.4 /usr/local/share/perl/5.12.4 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.12 /usr/share/perl/5.12 /usr/local/lib/site_perl) at /home/administrator/Net-DBus-Skype-0.02/blib/lib/Net/DBus/Skype.pm line 7.
# BEGIN failed--compilation aborted at /home/administrator/Net-DBus-Skype-0.02/blib/lib/Net/DBus/Skype.pm line 7.
# Compilation failed in require at (eval 4) line 2.
# BEGIN failed--compilation aborted at (eval 4) line 2.
Use of uninitialized value $Net:Bus::Skype::VERSION in concatenation (.) or string at t/00-load.t line 9.
# Testing Net:Bus::Skype , Perl 5.012004, /usr/bin/perl
# Looks like you failed 1 test of 1.
t/00-load.t ....... Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/1 subtests
t/boilerplate.t ... ok   
t/pod-coverage.t .. skipped: Test:od::Coverage 1.08 required for testing POD coverage
t/pod.t ........... skipped: Test:od 1.22 required for testing POD

Test Summary Report
-------------------
t/00-load.t     (Wstat: 256 Tests: 1 Failed: 1)
  Failed test:  1
  Non-zero exit status: 1
t/boilerplate.t (Wstat: 0 Tests: 3 Failed: 0)
  TODO passed:   2-3
Files=4, Tests=4,  0 wallclock secs ( 0.05 usr  0.01 sys +  0.26 cusr  0.03 csys =  0.35 CPU)
Result: FAIL
Failed 1/4 test programs. 1/4 subtests failed.
make: *** [test_dynamic] Error 255


Message 5 of 11 (2,242 Views)
Novel Tourist

Can anyone tell me how to fix this problem (on a Mac, getting the error message that Firefox can't connect to skype cos no protocol is installed)?  I don't understand the solution posted in this blog back in 2011 -- and maybe someone could set it out in "for dummies" language? (SOS!)

Thanks.

Message 6 of 11 (2,156 Views)
Tourist

if you want to install skype-handler on ubuntu 11.10 or 12.04 try my python installer script at https://gist.github.com/2724206

Message 7 of 11 (2,035 Views)
Novel Tourist

mawi wrote:

if you want to install skype-handler on ubuntu 11.10 or 12.04 try my python installer script at https://gist.github.com/2724206


Brilliant.  You are a gentleman and a scholar.  

 

If you knew how much time I have spent (i.e. wasted) trying to find a way to make skype calls from Thunderbird using TBDialOut you might think wonder if I am quite sane.

Message 8 of 11 (1,999 Views)
Casual Adventurer

I understand the very basics about sudo, but have no idea what you are referring to when you say to "list a new .Desktop file".  And I don't understand what else you are saying.  I have Kubuntu 12.04.

Message 9 of 11 (1,769 Views)
Casual Adventurer

How do I install your skype-handler?


mawi wrote:

if you want to install skype-handler on ubuntu 11.10 or 12.04 try my python installer script at https://gist.github.com/2724206


 

Message 10 of 11 (1,764 Views)
Discussion Stats
  • 10 replies
  • 2495 views
  • 3 kudos
  • 7 in conversation